## slrn 0.9.6.2

=== doc/tm/Makefile ===
# -*- sh -*-
#
#  jed version 0.98-5 or newer is required.  tm2txt is part of the slang
#  distribution.
#
TXT_FILES = slrnfuns.txt
SGML_FILES = slrnfuns.sgml
HTML_FILES = slrnfuns.html
TEX_FILES = 
PS_FILES = 

SGML2LATEX = sgml2latex -p letter -o tex
SGML2HTML = sgml2html
SGML2TXT = sgml2txt -f
TM2TXT = tm2txt --quiet
LATEX = latex

TEXTDIR = ..
PSDIR = ps
HTMLDIR = html
SGMLDIR = sgml

SUBDIRS = $(TEXTDIR) $(HTMLDIR) # $(PSDIR) $(SGMLDIR)
SRCDIR = `pwd`

all: $(SGML_FILES) $(HTML_FILES) $(TEX_FILES) $(TXT_FILES)
text-files: $(TXT_FILES)
#----- SGML Files -----------------------------------------------------------
slrnfuns.sgml: slrnfuns.tm
	jed -script tm2sgml.sl slrnfuns
#----- HTML Files -----------------------------------------------------------
slrnfuns.html : slrnfuns.sgml
	$(SGML2HTML) slrnfuns.sgml
#----- TeX Files ------------------------------------------------------------
#----- Text Files -----------------------------------------------------------
slrnfuns.txt : slrnfuns.tm
	cat slrnfuns/*.tm | $(TM2TXT) > slrnfuns.txt
#----------------------------------------------------------------------------
clean:
	-rm -f *~ *.dvi *.log *.aux *.toc slrnfuns/*.BAK slrnfuns/*~

distclean: clean
	-rm -f *.html $(TXT_FILES) $(TEX_FILES) $(SGML_FILES)
install: all $(PS_FILES)
	-mkdir $(SUBDIRS)
	-mv $(TXT_FILES) $(TEXTDIR)
	-mv *.html $(HTMLDIR)
#	-mv $(PS_FILES) $(PSDIR)
#	-mv $(SGML_FILES) $(SGMLDIR)

## slrn 1.0.1

=== debian/changelog ===
slrn (1.0.1-11) unstable; urgency=medium

  * Update config.[guess|sub] to support ppc64el, thanks Frederic
    (Closes: #757362)

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 29 Aug 2014 18:23:54 +0200

slrn (1.0.1-10) unstable; urgency=medium

  * Add patch to support CPPFLAGS
  * Document S-Lang regexp shortcomings (Closes: #629535)

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 17 Jan 2014 18:14:30 +0100

slrn (1.0.1-9) unstable; urgency=medium

  * Copy with the base-passwd behaviour of not having a shell for
    the news system user, thanks Colin (Closes: #734722)

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 09 Jan 2014 23:35:08 +0100

slrn (1.0.1-8) unstable; urgency=low

  * Switch to a minimal rules file based on dh

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 01 Jan 2014 18:20:21 +0100

slrn (1.0.1-7) unstable; urgency=medium

  * Switch to a minimal rules filed based on dh
    - Remove hardening-wrapper

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 23 Dec 2013 20:31:10 +0100

slrn (1.0.1-6) unstable; urgency=medium

  * Readd tls log level patch (Closes #728189)
  * Add missingok to slrnpull logrotate config, thanks Eric (Closes: #732608)
  * Bump standards version

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 22 Dec 2013 16:53:35 +0100

slrn (1.0.1-5) unstable; urgency=medium

  * Remove obsolete dpatch and switch to source format 3 (quilt),
    cleanup patches while we're at it

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 16 Dec 2013 17:42:40 +0100

slrn (1.0.1-4) unstable; urgency=medium

  * Cherrypick upstream 107be9a749993d0063d4e87330ab947084d10c47 to,
    fixes TLS and too-verbose logging (Closes: #728189, #729901)
  * Build-Depend on libgnutls-openssl-dev instead of libgnutls-dev to
    allow transitioning to newer GnuTLS. Thanks, Andreas! 
    (Closes: #731169)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 07 Dec 2013 19:00:41 +0100

slrn (1.0.1-3) unstable; urgency=low

  * Make myself the sole maintainer, Joerg is too busy. Thanks for your
    previous work!
  * Build-depend on inn2-inews and drop 201_configure.diff kludge
  * Update short description
  * Update homepage to http://slrn.sourceforge.net/, slrn.org is
    domain-squatted

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 23 Oct 2013 18:49:20 +0200

slrn (1.0.1-2) unstable; urgency=low

  * Update copyright file and John's email address
  * Cleanup debian/rules file
  * Reduce gnutls linkage, thanks Andreas Metzler (Closes: #725502)

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 07 Oct 2013 17:05:55 +0200

slrn (1.0.1-1) unstable; urgency=low

  * New upstream release
  * Add myself to uploaders/maintainers as discussed with Jörg
    Acknowledge NMUs, thanks Christian Perrier and Gregor Herrmann
    (Closes: #580177, #639772, #607332, #610221, #654556, #660530, #661137)
  * Remove now obsolete DM-Upload-Allowed field
  * Unversion some build-deps, which are even satisfied in oldstable
  * Remove suggests on removed metamail (Closes: #609353)
  * Switch to dh_autoreconf, picked from patch by Gregor, thanks! There
    will be more changes to modernise the package later (Closes: #696512)
    Drop configure-rebuild.dpatch as a consequence from moving to
    dh_autoreconf
  * Update pt_BR translation, thanks Adriano Rafael Gomes (Closes: #721680)

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 04 Oct 2013 17:34:57 +0200

slrn (1.0.0~pre18-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Italian (Beatrice Torracca).  Closes: #610221
    - Dutch; (Jeroen Schot).  Closes: #654556
    - Polish (Michał Kułach).  Closes: #660530
    - Slovak (Ivan Masár).  Closes: #661137

 -- Christian Perrier <bubulle@debian.org>  Mon, 27 Feb 2012 07:28:11 +0100

slrn (1.0.0~pre18-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: checking for the slang library and header files ... no":
    tell configure about the multiarched slang lib; build-depend on dpkg-dev
    (>= 1.16.0). Remove rpath that gets introduced by the multiarch path.
    (Closes: #639772)
  * Fix "cleanscore breaks with perl 5.12": new patch
    cleanscore-prototypes.dpatch.
    (Closes: #607332)

 -- gregor herrmann <gregoa@debian.org>  Sat, 03 Dec 2011 15:12:43 +0100

slrn (1.0.0~pre18-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Japanese (Hideki Yamane).  Closes: #580177

 -- Christian Perrier <bubulle@debian.org>  Sat, 31 Jul 2010 06:39:14 -0400

slrn (1.0.0~pre18-1) unstable; urgency=low

  * This package is based on the svn snapshot from
    https://slrn.svn.sourceforge.net/svnroot/slrn/trunk

  * Updates of debconf translation:
    + Japanese, thanks to Hideki Yamane. (closes: #564482)

  * Converted the debconf templates from _Choices to __Choices.

  * Fixed the name of RUNFROM in slrnpull.postinst. (closes: #569000)

  * Raised the Standards-Version to 3.8.4. No changes needed.

 -- Jörg Sommer <joerg@alea.gnuu.de>  Tue, 23 Feb 2010 01:10:38 +0100

slrn (1.0.0~pre16-1) unstable; urgency=low

  * This package is based on the svn snapshot from
    https://slrn.svn.sourceforge.net/svnroot/slrn/trunk

  * New debconf translation:
    + Japanese, thanks to Hideki Yamane. (closes: #555545)

  * Added patch from Brian Murray to fix multipart.sl. (closes: #445258)

  * Raised the Standards-Version to 3.8.3. No changes needed.

 -- Jörg Sommer <joerg@alea.gnuu.de>  Tue, 10 Nov 2009 21:21:23 +0100

slrn (1.0.0~pre11-1) unstable; urgency=low

  * This package is based on the svn snapshot from
    https://slrn.svn.sourceforge.net/svnroot/slrn/trunk

  * Updates of debconf translation:
    + Spanish, thanks to Francisco Javier Cuadrado. (closes: #526697)

 -- Jörg Sommer <joerg@alea.gnuu.de>  Sun, 14 Jun 2009 21:59:28 +0200

slrn (1.0.0~pre10-1) unstable; urgency=low

  * This package is based on the svn snapshot from
    https://slrn.svn.sourceforge.net/svnroot/slrn/trunk



=== debian/control ===
Source: slrn
Section: news
Priority: optional
Maintainer: Moritz Muehlenhoff <jmm@debian.org>
Build-Depends: debhelper (>=9), libslang2-dev, libuu-dev,
 exim4 | mail-transport-agent, libgnutls-openssl-dev, po-debconf, autoconf,
 libcanlock2-dev, autotools-dev, dpkg-dev (>= 1.16.0), chrpath, dh-autoreconf, inn2-inews
Standards-Version: 3.9.5
Homepage: http://slrn.sourceforge.net/

Package: slrn
Architecture: any
Pre-Depends: ${misc:Depends}
Depends: ${shlibs:Depends}
Provides: news-reader
Suggests: slrnpull
Description: threaded text-mode news reader
 Slrn is a threaded news reader with color support that is designed to
 read news fast over slow links.
 .
 Slrn can read usenet news via NNTP or directly from a local news spool.
 .
 Slrn can be heavily customized from its rc file, and even includes a
 built in macro language. There is also support for killfiles and
 article scoring.

Package: slrnpull
Architecture: any
Pre-Depends: ${misc:Depends}
Depends: ${shlibs:Depends}
Suggests: slrn | news-reader
Description: pulls a small newsfeed from an NNTP server
 Slrnpull pulls a small newsfeed, from an NNTP server, to a local news spool
 directory. The news spool can be used by news readers (such as slrn), which
 can read a local news spool without an NNTP server.
 .
 In combination with the slrn news reader, slrnpull can provide true
 offline news reading. You can tell slrnpull to download headers only,
 mark interesting ones for download with slrn and fetch those article
 bodies during the next run of slrnpull.
 .
 Slrnpull also has the ability to killfile articles so that they will not
 be downloaded from the server.

=== debian/watch ===
version=3

ftp://space.mit.edu/pub/davis/slrn/slrn-(.*)\.tar\.gz

## slrn 1.0.2

=== debian/changelog ===
slrn (1.0.2-4build1) xenial; urgency=medium

  * No-change rebuild for gnutls transition.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Feb 2016 22:27:47 +0000

slrn (1.0.2-4) unstable; urgency=medium

  * Don't link with -ltermcap, thanks to Sven Joachim for the patch
    (Closes: #804084)

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 07 Jan 2016 15:08:59 +0100

slrn (1.0.2-3) unstable; urgency=medium

  * Make the build reproducible, thanks to Dmitry Bogatov for the
    report (Closes: #798269)

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 07 Sep 2015 17:48:38 +0200

slrn (1.0.2-2) unstable; urgency=medium

  * Update watch file and add key for PGP validation, thanks Gregor!
    (Closes: #763121)
  * Update standards version

 -- Moritz Muehlenhoff <jmm@debian.org>  Tue, 14 Oct 2014 23:02:46 +0200

slrn (1.0.2-1) unstable; urgency=medium

  * New upstream release, most of the patches have been merged upstream,
    thanks John! 
    - These patches have consequently been dropped:
      fix-multipart.sl.patch, cleanscore-prototypes.patch, 
      raise-query-cutoff.patch, fix-tls-log.patch, document-regexp.patch
      support-cppflags.patch, less-gnutls-linkage.patch
    - Now supports MIME processing (Closes: #372209)
    - Strip \001 highlight characters from messages written to the 
      terminal when not in fullscreen mode  (Closes: #631021)
    - Handle SIGQUIT (Closes: #673529)	

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 25 Sep 2014 17:55:53 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>=9), libslang2-dev, libuu-dev,
  exim4 | mail-transport-agent, libgnutls-openssl-dev, po-debconf, autoconf,
  libcanlock2-dev, autotools-dev, dpkg-dev (>= 1.16.0), chrpath, dh-autoreconf, inn2-inews
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://slrn.sourceforge.net/
 
 Package: slrn

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND  = -Wall -Wformat=2 -Wunused -Wundef -Wextra -Wswitch-enum -Wpointer-arith -Wnested-externs -Wbad-function-cast -Wcast-qual -Wcast-align -Wshadow

%:
	dh ${@} --with autoreconf

override_dh_autoreconf:
	dh_autotools-dev_updateconfig
	dh_autoreconf autoconf -- --verbose --include=autoconf --output=configure autoconf/configure.ac

override_dh_auto_build:
	./configure \
		--with-slrnpull=/var/spool/slrnpull \
		--with-gnutls=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--enable-inews --enable-spool \
		--enable-setgid-code \
		--prefix=/usr \
		--mandir=/usr/share/man \
		--sysconfdir=/etc/news \
		--with-server-file=/etc/news/server \
		--with-canlock \
		--without-x \
		--with-uu \
		--with-slanglib=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--with-slanginc=/usr/include

	$(MAKE) -C src CONFDIR=/etc/news slrn
	$(MAKE) CANLOCK_LIB= UUDEVIEW_LIB= CONFDIR=/etc/news slrnpull

override_dh_install-arch:
	$(MAKE) install DESTDIR=debian/tmp
	chrpath --delete debian/tmp/usr/bin/slrn
	dh_install

	cp debian/tmp/usr/share/doc/slrn/help.txt \
	  debian/slrn/etc/news/slrn-help.txt

	chown news.news debian/slrn/etc/news debian/slrn//var/lib/slrn
	# The perms on these directories are set so that files in them
	# are owned by group news, but the directories are only writable
	# by user news. out.going is g+w,+t since users write there.
	chown -R news.news debian/slrnpull/var/spool/slrnpull
	chmod g+ws,+t debian/slrnpull/var/spool/slrnpull/out.going \
	  debian/slrnpull/var/spool/slrnpull/out.going/rejects
	chmod g+ws,o+w,+t debian/slrnpull/var/spool/slrnpull/requests


override_dh_autoreconf_clean:
	dh_autotools-dev_restoreconfig
	dh_autoreconf_clean

## slrn 1.0.3a

=== debian/changelog ===
slrn (1.0.3a-1) unstable; urgency=medium

  * New upstream release
    - Drop reproducible-build.patch, merged upstream, thanks John!
    - Update do-not-link-with-termcap.patch

 -- Moritz Muehlenhoff <jmm@debian.org>  Tue, 25 Oct 2016 23:10:52 +0200

slrn (1.0.2-5) unstable; urgency=medium

  * Bump to debhelper compat level 10
  * Update standards version
  * Also enable PIE and bindnow in build flags

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 29 Jun 2016 00:01:26 +0200

## slrn 1.0.3%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -1,18 +1,16 @@
 #!/usr/bin/make -f
 
-export DEB_CFLAGS_MAINT_APPEND  = -Wall -Wformat=2 -Wunused -Wundef -Wextra -Wswitch-enum -Wpointer-arith -Wnested-externs -Wbad-function-cast -Wcast-qual -Wcast-align -Wshadow
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CFLAGS_MAINT_APPEND = -Wall -Wformat=2 -Wunused -Wundef -Wextra -Wswitch-enum -Wpointer-arith -Wnested-externs -Wbad-function-cast -Wcast-qual -Wcast-align -Wshadow -std=gnu17
+
 
 %:
-	dh ${@} --with autoreconf
-
-override_dh_autoreconf:
-	dh_autotools-dev_updateconfig
-	dh_autoreconf autoconf -- --verbose --include=autoconf --output=configure autoconf/configure.ac
+	dh $@
 
 override_dh_auto_build:
 	./configure \
 		--with-slrnpull=/var/spool/slrnpull \
-		--with-gnutls=/usr/lib/$(DEB_HOST_MULTIARCH) \
+		--with-ssl=/usr/lib/$(DEB_HOST_MULTIARCH) \
 		--enable-inews --enable-spool \
 		--enable-setgid-code \
 		--prefix=/usr \
@@ -46,6 +44,4 @@
 	chmod g+ws,o+w,+t debian/slrnpull/var/spool/slrnpull/requests
 
 
-override_dh_autoreconf_clean:
-	dh_autotools-dev_restoreconfig
-	dh_autoreconf_clean
+

## slrn 1.0.3+dfsg

=== doc/tm/Makefile ===
# -*- sh -*-

# To create the SGML files, you will need to install the tmexpand
# package.  See http://www.jedsoft.org/ for more information.
#
TMEXPAND = tmexpand
TM2SGML = $(TMEXPAND)

SOURCE_FILES = slrnfuns.tm slrnfuns/article.tm slrnfuns/dialog.tm \
 slrnfuns/file.tm slrnfuns/group.tm slrnfuns/header.tm slrnfuns/hooks.tm \
 slrnfuns/keys.tm slrnfuns/misc.tm

EXTRA_DIST = $(SOURCE_FILES) slrnfuns/tm-sort.sl slrnfuns/whatelse.sl

TXT_FILES = slrnfuns.txt
SGML_FILES = slrnfuns.sgml
HTML_FILES = slrnfuns.html

MOSTLYCLEANFILES = *~ *.dvi *.log *.aux *.toc slrnfuns/*.BAK slrnfuns/*~
DISTCLEANFILES = *.html $(TXT_FILES) $(SGML_FILES)

SGML2LATEX = sgml2latex -p letter -o tex
SGML2HTML = sgml2html
SGML2TXT = linuxdoc -B txt -f
#SGML2TXT = sgml2txt -f --pass="-P -c"
TM2TXT = tm2txt --quiet
LATEX = latex

TEXTDIR = ..
HTMLDIR = html
SGMLDIR = sgml

convert-all: $(SGML_FILES) $(HTML_FILES) $(TEX_FILES) $(TXT_FILES)
convert-txt: $(TXT_FILES)

update: convert-txt
##	-mkdir $(SUBDIRS)
	-mv $(TXT_FILES) $(TEXTDIR)
##	-mv *.html $(HTMLDIR)

##----- SGML Files ----------------------------------------------------------
slrnfuns.sgml: $(SOURCE_FILES)
	$(TM2SGML) -I$(MACRODIR) slrnfuns.tm slrnfuns.sgml
##----- HTML Files ----------------------------------------------------------
slrnfuns.html : slrnfuns.sgml
	$(SGML2HTML) slrnfuns.sgml
##----- Text Files ----------------------------------------------------------
slrnfuns.txt : slrnfuns.sgml
	$(SGML2TXT) slrnfuns.sgml
##	cat slrnfuns/*.tm | $(TM2TXT) > slrnfuns.txt

=== debian/changelog ===
slrn (1.0.3+dfsg-10) unstable; urgency=medium

  * New maintainer (Closes: #1124565)
  * Switch to debhelper compat 13
  * Update Standards-Version to 4.7.3
    - d/control: remove redundant Priority: optional
  * Add fix-make-deps.patch, fixing make dependency tree problem
    (Closes: #1105610)
  * Set permissions after dh_fixperms (Closes: #764723)
  * Disable build with RPATH
    - add no-rpath.patch
    - drop build dep on chrpath
  * d/po/sv.po: Use UTF-8
  * Fix lintian overrides
  * Fix some patches descriptions according to DEP-3
  * Re-export upstream minimal public key
  * Use machine readable d/copyright
  * Update d/watch to version 5, use secure URI
  * d/changelog: Remove trailing whitespace

 -- Nicolas Schodet <nico@ni.fr.eu.org>  Sun, 18 Jan 2026 19:24:16 +0100

slrn (1.0.3+dfsg-9) unstable; urgency=medium

  [ Carles Pina i Estany ]
  * Added po-debconf Catalan translation (Closes: #1106770)

  [ Moritz Muehlenhoff ]
  * Stick with C17 to fix build with GCC 15 (Closes: #1097899)

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 12 Sep 2025 23:01:31 +0200

slrn (1.0.3+dfsg-8) unstable; urgency=medium

  * Fix building twice in a row, thanks to Andreas Beckmann
    (Closes: #1048058)
  * Set Rules-Requires-Root: binary-targets, we need to chown to the
    "news" user provided by base-passwd (Closes: #1089436)

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 11 Dec 2024 13:46:54 +0100

slrn (1.0.3+dfsg-7) unstable; urgency=medium

  * Stop installing obsolete if-up/ip-up scripts. These are not
    really relevant anymore (also Closes: #1054058, #1054061)
  * Fix C99 compatibility issue in the VA_COPY checks, thanks
    to Florian Weimer for the patch (Closes: #1066213)

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 22 Apr 2024 11:31:42 +0200

slrn (1.0.3+dfsg-6) unstable; urgency=medium

  * Add Vcs-* headers (pointing to Salsa) to debian/control
  * Point Homepage: to new https://slrn.info site

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 05 Jan 2022 23:48:07 +0100

slrn (1.0.3+dfsg-5) unstable; urgency=medium

  * Switch to OpenSSL, which is now being treated as a system library
    (Closes: #970264)

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 03 Dec 2020 19:44:01 +0100

slrn (1.0.3+dfsg-4) unstable; urgency=medium

  * Remove obsolete dpkg-dev build dep
  * Set default-mta first in build depends over exim4
  * Remove obsolete README.source, dpatch is long gone
  * Bump standards version
  * Remove deprecated menu file (and XPM icon)
  * Remove obsolete debian/install-list-filter.sed

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 03 Aug 2020 22:28:10 +0200

slrn (1.0.3+dfsg-3) unstable; urgency=medium

  * Fix slrnpull daily cron to cope with older base-passwd change of
    no longer having a shell for the news system user (Closes: #824377)
  * Update watch file, current releases are shipped as bz2
  * Unversion all build deps even fulfilled in jessie

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 03 Nov 2018 12:32:01 +0100

slrn (1.0.3+dfsg-2) unstable; urgency=medium

  * Transition to libcanlock3

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 28 Jul 2018 21:29:55 +0200

slrn (1.0.3+dfsg-1) unstable; urgency=medium

  * Strip non-free vms.c from the tarball (only needed for builds
    on VMS). Thanks to Andreas Stieger for the report (Closes: #861804)

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 05 May 2017 19:35:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,20 @@
 Source: slrn
 Section: news
-Priority: optional
-Maintainer: Moritz Muehlenhoff <jmm@debian.org>
-Build-Depends: debhelper (>=9), libslang2-dev, libuu-dev,
- exim4 | mail-transport-agent, libgnutls-openssl-dev, po-debconf, autoconf,
- libcanlock2-dev, autotools-dev, dpkg-dev (>= 1.16.0), chrpath, dh-autoreconf, inn2-inews
-Standards-Version: 3.9.6
-Homepage: http://slrn.sourceforge.net/
+Maintainer: Nicolas Schodet <nico@ni.fr.eu.org>
+Build-Depends:
+ debhelper-compat (= 13),
+ default-mta | exim4 | mail-transport-agent,
+ inn2-inews,
+ libcanlock-dev,
+ libslang2-dev,
+ libssl-dev,
+ libuu-dev,
+ po-debconf,
+Standards-Version: 4.7.3
+Homepage: https://slrn.info
+Vcs-Git: https://salsa.debian.org/debian/slrn.git
+Vcs-Browser: https://salsa.debian.org/debian/slrn
+Rules-Requires-Root: binary-targets
 
 Package: slrn
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall -Wformat=2 -Wunused -Wundef -Wextra -Wswitch-enum -Wpointer-arith -Wnested-externs -Wbad-function-cast -Wcast-qual -Wcast-align -Wshadow -std=gnu17

configure_flags = \
	--with-slrnpull=/var/spool/slrnpull \
	--with-ssl=/usr/lib/$(DEB_HOST_MULTIARCH) \
	--enable-inews --enable-spool \
	--enable-setgid-code \
	--sysconfdir=/etc/news \
	--with-server-file=/etc/news/server \
	--with-canlock \
	--without-x \
	--with-uu \
	--with-slanglib=/usr/lib/$(DEB_HOST_MULTIARCH) \
	--with-slanginc=/usr/include

%:
	dh $@

override_dh_autoreconf:
	ln -s ../src autoconf
	AUTOHEADER=true dh_autoreconf autoreconf -- -f -i -Wno-obsolete autoconf
	cp autoconf/configure .

override_dh_auto_configure:
	dh_auto_configure -- $(configure_flags)

override_dh_auto_build:
	$(MAKE) -C src CONFDIR=/etc/news slrn
	$(MAKE) CANLOCK_LIB= UUDEVIEW_LIB= CONFDIR=/etc/news slrnpull

override_dh_install-arch:
	dh_install
	mv debian/slrn/etc/news/help.txt debian/slrn/etc/news/slrn-help.txt

override_dh_fixperms:
	dh_fixperms
	chown news.news debian/slrn/etc/news debian/slrn/var/lib/slrn
	# The perms on these directories are set so that files in them
	# are owned by group news, but the directories are only writable
	# by user news. out.going is g+w,+t since users write there.
	chown -R news.news debian/slrnpull/var/spool/slrnpull
	chmod g+ws,+t debian/slrnpull/var/spool/slrnpull/out.going \
	  debian/slrnpull/var/spool/slrnpull/out.going/rejects
	chmod g+ws,o+w,+t debian/slrnpull/var/spool/slrnpull/requests

=== debian/watch ===
Version: 5

Source: https://jedsoft.org/releases/slrn/
# There is a spurious 'a' in the 1.0.3 version file name, ignore it.
Matching-Pattern: slrn-(\d[\.\d]*)a?@ARCHIVE_EXT@
Pgp-Sig-Url-Mangle: s/$/.asc/
Dversion-Mangle: auto
Repack-Suffix: +dfsg
